package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

//人事状态(1-试用 0-正式，2离职)',
public enum ProbationPeriodEnum implements BaseEnum<Integer, ProbationPeriodEnum> {
    NORMAL(0,"正式"),
    TRY(1,"试用"),
    LEAVE(2,"离职");

    private Integer code;

    private String msg;

    ProbationPeriodEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return this.code;
    }
}
